Opened 13 years ago

Closed 12 years ago

#14892 closed enhancement (duplicate)

Add doc variant to gtk2

Reported by: stonehippo@… Owned by: nox@…
Priority: Normal Milestone:
Component: ports Version:
Keywords: doc Cc: rukqoa@…
Port: gtk2

Description

By default gtk2 depends on gtk-doc, which installs a bunch of unneeded dependencies (docbook, docbook-xsl, perl 5.8.8, python 2.5, etc) that aren't needed for using GTK2-based apps.

Please add a no-doc variant to the gtk2 package to exclude this dependency. Better yet, remove it from the default variant and create a "with-doc" variant: gtk-doc is not needed as a build or runtime dependency.

Change History (7)

comment:1 Changed 13 years ago by jmroot (Joshua Root)

Milestone: Port Enhancements
Owner: changed from macports-tickets@… to nox@…

Assigning to maintainer.

comment:2 Changed 13 years ago by nox@…

Resolution: fixed
Status: newclosed

comment:3 Changed 12 years ago by rukqoa@…

This was originally fixed, but the gtk-doc was re-added as a required build since rev 43676.

comment:4 Changed 12 years ago by rukqoa@…

Cc: rukqoa@… added

Cc Me!

comment:5 Changed 12 years ago by nox@…

Keywords: doc added; gtk-doc gtk2 removed
Port: gtk2 added
Resolution: fixed
Status: closedreopened
Summary: Add no-doc variant to GTK2Add doc variant to gtk2
Version: 1.6.0

I'll create a doc variant.

comment:6 Changed 12 years ago by (none)

Milestone: Port Enhancements

Milestone Port Enhancements deleted

comment:7 Changed 12 years ago by nox@…

Resolution: duplicate
Status: reopenedclosed

superseded by #19476

Note: See TracTickets for help on using tickets.